Subject: Re: absolute pathnames not handled in b17.1 make
From: [email-masked] (Fergus Henderson)

1 Mar 1997 02:35:07 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Jay Brown" at Feb 28, 97 01:14:34 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Jay Brown, you wrote:
> 
> target_file: /users/dirx/file.vhd
> 	create_target_file commands
> 
> gmake: *** No rule to make target '/users/dirx/file.c', needed by
> 'target_file'. Stop

I'm not sure whether this is really related to the use of absolute
paths, because I have had a report from a user of a bug with a similar
symptom that didn't involve an absolute path:

	-----------------------------------------------------------------
	cd boehm_gc && PATH=/bin:../scripts:../util:$PATH MMAKE_VPATH=.
	MMAKE_DIR=../scripts ../scripts/mmake  PROF=$prof
	MAKEFLAGS=""; export MAKEFLAGS; \
	make  GRADE=asm_fast.gc PROF= libgc.a \
		libgc.a
	make: *** No rule to make target `gc_hdrs.h', needed by `alloc.o'. 
	Stop.
	make: *** [submake] Error 2
	make: *** [boehm_gc] Error 2
	-----------------------------------------------------------------
	doing a touch boehm_gc/*.[ch] means it goes further
	-----------------------------------------------------------------

In this case, the file `gc_hdrs.h' did exist, so make shouldn't
have needed a rule to create it.

> I also noticed that you cannot use drive letters when specifying full
> paths. It seems that this version of make does not like the colon.

Try `//c/dir' instead of `c:\dir'.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".